Name:          bridge-utils
Version:       1.7.1
Release:       1mamba
Summary:       Utilities for configuring the linux ethernet bridge
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           https://www.linux-foundation.org/en/Net:Bridge
Source:        https://mirrors.edge.kernel.org/pub/linux/utils/net/bridge-utils/bridge-utils-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      bridge-utils-devel
Obsoletes:     bridge-utils-devel

%description
The linux ethernet bridge can be used for connecting multiple ethernet devices together.
The connecting is fully transparent: hosts connected to one ethernet device see hosts connected to the other ethernet devices directly.

This package contains utilities for configuring the linux ethernet bridge.
Install bridge-utils if you want to use the linux ethernet bridge.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The linux ethernet bridge can be used for connecting multiple ethernet devices together.
The connecting is fully transparent: hosts connected to one ethernet device see hosts connected to the other ethernet devices directly.

This package contains static libraries and header files need for development.
Install bridge-utils-devel if you are going to develop programs which will use the linux ethernet bridge interface library.

%debug_package

%prep
%setup -q
[ -x ./configure ] || autoconf

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/brctl
%{_mandir}/man8/brctl.*
%doc AUTHORS COPYING
#%doc ChangeLog doc/FAQ doc/FIREWALL doc/HOWTO doc/PROJECTS doc/SMPNOTES doc/WISHLIST README THANKS TODO

#%files devel
#%defattr(-,root,root)
#%{_includedir}/libbridge.h
#%{_libdir}/libbridge.a

%changelog
* Sat Mar 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.1-1mamba
- update to 1.7.1

* Sat Jul 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7-1mamba
- update to 1.7

* Sun Oct 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-1mamba
- update to 1.6

* Sun Apr 03 2011 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic update by autodist

* Tue Nov 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1mamba
- automatic update by autodist

* Wed Dec 12 2007 Aleph0 <aleph0@openmamba.org> 1.2-2mamba
- new package maintainer

* Tue May 22 2007 Aleph0 <aleph0@openmamba.org> 1.2-1mamba
- update to 1.2

* Fri Oct 24 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.6-1qilnx
- first build
